<?php
// Make sure there's no whitespace or output before this opening PHP tag
require_once __DIR__ . '/functions.php';

// Redirect to login page if not logged in
function requireLogin() {
    if (!isset($_SESSION['user_id'])) {
        header("Location: " . ADMIN_URL . "login.php");
        exit;
    }
}

// Redirect to appropriate dashboard based on role
function redirectToDashboard() {
    if (!isset($_SESSION['user_role'])) {
        return;
    }
    
    if ($_SESSION['user_role'] === 'super_admin') {
        header("Location: " . ADMIN_URL . "super_admin/dashboard.php");
        exit;
    } else if ($_SESSION['user_role'] === 'location_admin') {
        header("Location: " . ADMIN_URL . "location_admin/dashboard.php");
        exit;
    }
}

// Require super admin role
function requireSuperAdmin() {
    requireLogin();
    
    if ($_SESSION['user_role'] !== 'super_admin') {
        header("Location: " . ADMIN_URL . "login.php?error=unauthorized");
        exit;
    }
}

// Require location admin role (or super admin)
function requireLocationAdmin() {
    requireLogin();
    
    if ($_SESSION['user_role'] !== 'location_admin' && $_SESSION['user_role'] !== 'super_admin') {
        header("Location: " . ADMIN_URL . "login.php?error=unauthorized");
        exit;
    }
}

// Get current user's location ID
function getCurrentUserLocationId() {
    if ($_SESSION['user_role'] === 'super_admin') {
        // Super admin can access all locations, but we'll return 0 to indicate this
        return 0;
    } else {
        return $_SESSION['location_id'] ?? 0;
    }
}
?> 