<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Start session
session_start();

echo "<h1>Session Test</h1>";
echo "<pre>";
echo "Session ID: " . session_id() . "\n";
echo "Session status: " . session_status() . "\n";
echo "Session variables: \n";
print_r($_SESSION);
echo "</pre>";

// Test setting a session variable
$_SESSION['test'] = 'This is a test value';
echo "<p>Set a test session variable. <a href='session_test.php'>Refresh</a> to see if it persists.</p>";

// Check if cookies are enabled
echo "<h2>Cookie Test</h2>";
if (count($_COOKIE) > 0) {
    echo "Cookies are enabled. Found " . count($_COOKIE) . " cookies.";
} else {
    echo "Cookies appear to be disabled or none are set.";
}

// Check session configuration
echo "<h2>Session Configuration</h2>";
echo "<pre>";
echo "session.save_path: " . ini_get('session.save_path') . "\n";
echo "session.cookie_path: " . ini_get('session.cookie_path') . "\n";
echo "session.cookie_domain: " . ini_get('session.cookie_domain') . "\n";
echo "session.cookie_secure: " . ini_get('session.cookie_secure') . "\n";
echo "session.cookie_httponly: " . ini_get('session.cookie_httponly') . "\n";
echo "session.use_cookies: " . ini_get('session.use_cookies') . "\n";
echo "session.use_only_cookies: " . ini_get('session.use_only_cookies') . "\n";
echo "</pre>";

// Check if the session directory is writable
$sessionPath = ini_get('session.save_path');
if (!empty($sessionPath)) {
    echo "<p>Session save path writable: " . (is_writable($sessionPath) ? "Yes" : "No") . "</p>";
}
?> 