<?php
// Enable error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);

$imageDir = __DIR__ . '/../assets/images/wallet_images';
$requiredSizes = [
    'icon.png' => ['width' => 29, 'height' => 29],
    'icon@2x.png' => ['width' => 58, 'height' => 58],
    'logo.png' => ['width' => 160, 'height' => 50],
    'logo@2x.png' => ['width' => 320, 'height' => 100],
    'strip.png' => ['width' => 320, 'height' => 50],
    'strip@2x.png' => ['width' => 640, 'height' => 100]
];

echo "Checking images in: $imageDir\n\n";

foreach ($requiredSizes as $file => $expectedSize) {
    $path = $imageDir . '/' . $file;
    echo "File: $file\n";
    echo "Path: $path\n";
    
    if (!file_exists($path)) {
        echo "  Status: NOT FOUND\n\n";
        continue;
    }
    
    echo "  Status: Found\n";
    echo "  Size: " . filesize($path) . " bytes\n";
    echo "  Permissions: " . substr(sprintf('%o', fileperms($path)), -4) . "\n";
    
    $imageInfo = getimagesize($path);
    if ($imageInfo === false) {
        echo "  Error: Not a valid image file\n\n";
        continue;
    }
    
    echo "  Dimensions: {$imageInfo[0]}x{$imageInfo[1]} pixels\n";
    echo "  Expected: {$expectedSize['width']}x{$expectedSize['height']} pixels\n";
    echo "  Type: " . image_type_to_mime_type($imageInfo[2]) . "\n\n";
}
?> 