<?php
header('Content-Type: text/plain');
define('CERT_DIR', '/home/trimscloud/public_html/dev.trimscloud.com/certs/');

$files = [
    'Certificates.p12' => 'PKCS12 File',
    'signerCert.pem' => 'Certificate',
    'privkey.pem' => 'Private Key',
    'Apple Worldwide Developer Relations Certification Authority.pem' => 'WWDR'
];

foreach ($files as $file => $type) {
    $path = CERT_DIR . $file;
    echo "Checking $type ($file):\n";
    echo "Exists: " . (file_exists($path) ? 'YES' : 'NO') . "\n";
    echo "Readable: " . (is_readable($path) ? 'YES' : 'NO') . "\n";
    
    if (file_exists($path)) {
        echo "Size: " . filesize($path) . " bytes\n";
        echo "Permissions: " . substr(sprintf('%o', fileperms($path)), -4) . "\n";
        
        if ($type === 'Private Key') {
            $key = openssl_pkey_get_private('file://' . $path, 'T@pple9696');
            echo "Key valid: " . ($key !== false ? 'YES' : 'NO') . "\n";
            if ($key === false) {
                echo "OpenSSL error: " . openssl_error_string() . "\n";
            }
        }
    }
    echo "\n";
}