<?php
// test_errors.php - UPDATED VERSION
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Define the absolute base path
define('BASE_DIR', '/home/trimscloud/public_html/dev.trimscloud.com/');

echo "<h1>PHP Environment Test</h1>";
echo "PHP Version: " . phpversion() . "<br>";
echo "Base Directory: " . BASE_DIR . "<br>";

// Test database connection with absolute path
try {
    require_once BASE_DIR . 'includes/functions.php';
    $conn = getDbConnection();
    echo "Database connection successful!<br>";
} catch (PDOException $e) {
    echo "Database error: " . $e->getMessage() . "<br>";
} catch (Exception $e) {
    echo "Error: " . $e->getMessage() . "<br>";
}

// Test PKPass library
$autoloadPath = BASE_DIR . 'vendor/autoload.php';
if (file_exists($autoloadPath)) {
    require_once $autoloadPath;
    echo "PKPass library found at $autoloadPath<br>";
} else {
    echo "PKPass library NOT found at $autoloadPath<br>";
}

// Test important directories
$dirs = [
    'Images' => BASE_DIR . 'assets/pass_images/',
    'Certificates' => BASE_DIR . 'certs/',
    'Includes' => BASE_DIR . 'includes/'
];

foreach ($dirs as $name => $path) {
    echo "<h3>$name Directory ($path)</h3>";
    echo "Exists: " . (file_exists($path) ? 'YES' : 'NO') . "<br>";
    echo "Readable: " . (is_readable($path) ? 'YES' : 'NO') . "<br>";
    
    if (file_exists($path)) {
        echo "Contents: " . implode(', ', scandir($path)) . "<br>";
    }
}