<?php
header('Content-Type: text/plain');

// 1. Get the absolute server path
$serverPath = __DIR__;
echo "Current script location: $serverPath\n\n";

// 2. Define the expected image path
$imageDir = $serverPath . '/assets/pass_images/';
echo "Expected image directory: $imageDir\n";

// 3. Create directory if it doesn't exist
if (!file_exists($imageDir)) {
    mkdir($imageDir, 0755, true);
    echo "Created directory: $imageDir\n";
}

// 4. Create placeholder images if missing
$images = [
    'icon.png' => ['width' => 29, 'height' => 29],
    'icon@2x.png' => ['width' => 58, 'height' => 58],
    'logo.png' => ['width' => 160, 'height' => 50],
    'logo@2x.png' => ['width' => 320, 'height' => 100]
];

foreach ($images as $filename => $size) {
    $filePath = $imageDir . $filename;
    if (!file_exists($filePath)) {
        $url = "https://via.placeholder.com/{$size['width']}x{$size['height']}/4361ee/ffffff.png?text=" . strtoupper(str_replace('.png', '', $filename));
        file_put_contents($filePath, file_get_contents($url));
        chmod($filePath, 0644);
        echo "Created placeholder image: $filename\n";
    }
    echo "Verifying $filename:\n";
    echo "Exists: " . (file_exists($filePath) ? 'YES' : 'NO') . "\n";
    echo "Path: $filePath\n";
    echo "Size: " . filesize($filePath) . " bytes\n";
    echo "Permissions: " . substr(sprintf('%o', fileperms($filePath)), -4) . "\n\n";
}

echo "FIX COMPLETE. Use this absolute path in generate_pkpass.php:\n";
echo "define('IMAGE_DIR', '$imageDir');\n";