<?php
// Use absolute path to config file
require_once __DIR__ . '/../setup/config.php';

function getDbConnection() {
    global $config;
    
    try {
        $conn = new PDO(
            "mysql:host={$config['db']['host']};dbname={$config['db']['database']}",
            $config['db']['username'],
            $config['db']['password']
        );
        
        // Set the PDO error mode to exception
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        return $conn;
    } catch(PDOException $e) {
        // Log the error
        error_log("Database connection failed: " . $e->getMessage());
        
        // In production, don't show the error details to users
        if ($_SERVER['SERVER_NAME'] == 'localhost') {
            die("Database connection failed: " . $e->getMessage());
        } else {
            die("Database connection failed. Please contact the administrator.");
        }
    }
}
?> 